<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH."/class/XCube_EventManager.class.php";

class PmEventProxyRegister extends XCube_EventProxyRegister
{
	var $_mList=array("Legacypage.Viewpmsg.Access","Legacypage.Pmlite.Access","Legacypage.Readpmsg.Access");
	
	function getEventNameList()
	{
		return $this->_mList;
	}
	
	function &createLegacypage_Viewpmsg_AccessDelegate()
	{
		require_once XOOPS_MODULE_PATH."/pm/kernel/PmEventFunction.class.php";
		$delegate=new XCube_Delegate("PmEventFunction","AccessToViewpmsg");
		return $delegate;
	}

	function &createLegacypage_Pmlite_AccessDelegate()
	{
		require_once XOOPS_MODULE_PATH."/pm/kernel/PmEventFunction.class.php";
		$delegate=new XCube_Delegate("PmEventFunction","AccessToPmlite");
		return $delegate;
	}
}

?>
